Skip to navigation

List apps

List apps

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

pageSizeintegerOptional<=100Defaults to 50
Number of results to return.
nextTokenstringOptional
Token for pagination
sortenumOptionalDefaults to modifiedAt

Method by which to order search results. Valid sorts are name, modifiedAt, and createdAt. Optionally add :asc or :desc to specify ascending or descending order. Default is modifiedAt.

idsstringOptional

Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.

modifiedAtstringOptional

Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.

namestringOptional
Name of an app. Restricts results to those with the specified name.
nameIncludesstringOptional
Name substring of an app. Restricts results to those with names that include the provided substring.
names.anyOfstringOptional

Comma-separated list of app names. Maximum of 100. Restricts results to those that match any of the specified names, case insensitive. Warning - this filter can be non-performant due to case insensitivity.

names.anyOf.caseSensitivestringOptional

Comma-separated list of app names. Maximum of 100. Restricts results to those that match any of the specified names, case sensitive.

creatorIdsstringOptional
Comma separated list of users IDs
memberOfstringOptional

Comma-separated list of organization and/or team API IDs. Restricts results to apps that are members of all given groups.

adminOfstringOptional

Comma-separated list of organization and/or team API IDs. Restricts results to apps that are admins of all given groups.

Response headers

Result-Countinteger
The total number of items that match the given query

Response

OK
appslist of objectsOptional
nextTokenstringOptional

Errors

400
Bad Request Error
403
Forbidden Error